using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// just cosmetics:
// let's put an white ball in the barycenter of the virutal "rigid body"
public class BarycenterOf : MonoBehaviour
{
    public PhysParticle p0, p1, p2, p3;

    Vector3 currentBarycenter()
    {
        // mass-weighted average of positions
        return 
        (
            p0.transform.position * p0.mass +
            p1.transform.position * p1.mass +
            p2.transform.position * p2.mass +
            p3.transform.position * p3.mass
        ) 
        / 
        (p0.mass + p1.mass + p2.mass + p3.mass);
    }

    // JUST FOR THE LOOK:
    // before every rendering (Update method)
    // we teleport this object
    // (representing the barycenter of the virtual "rigid body")
    // in the current barycenter of the 4 particles
    void Update()
    {
        this.transform.position = currentBarycenter();

        // TODO: how to set the rotation?
        //this.transform.rotation = currentRotation();
    }
}
